Package org.apache.qpid.proton.codec

# Class EncodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.qpid.proton.codec.EncodeException

All Implemented Interfaces:
  `Serializable`

public class EncodeException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EncodeException()`
`EncodeException(String message)`
`EncodeException(String message, Throwable cause)`
`EncodeException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EncodeException

public EncodeException()

### EncodeException

public EncodeException(String message)

### EncodeException

public EncodeException(String message, Throwable cause)

### EncodeException

public EncodeException(Throwable cause)